must-be
Posts: 31
Joined: Sat Mar 04, 2017 5:05 pm

trying to install apache with "sudo apt-get install apache2 -y" failed

Fri Sep 29, 2017 6:21 pm

i don't know why. maybe because i'm using with ssh?

i'm following :

https://www.raspberrypi.org/learning/la ... worksheet/

output:

https://gist.github.com/anonymous/953b0 ... 2e97915e96

edit:
perhaps because i didn't do "sudo apt-get update"?

raspi-owner
Posts: 63
Joined: Sun Aug 20, 2017 11:35 pm

Re: trying to install apache with "sudo apt-get install apache2 -y" failed

Fri Sep 29, 2017 6:26 pm

maybe you must do a "sudo apt-get update" and "sudo apt-get upgrade" than restart installing apache2.

edit: yeah as you said.
Last edited by raspi-owner on Fri Sep 29, 2017 6:27 pm, edited 1 time in total.

DirkS
Posts: 10345
Joined: Tue Jun 19, 2012 9:46 pm
Location: Essex, UK

Re: trying to install apache with "sudo apt-get install apache2 -y" failed

Fri Sep 29, 2017 6:27 pm

I think your package info is not up to date (I can see a version deb9u3 in the repo; you're requesting deb9u2)
Run 'sudo apt update' and then try again.

must-be
Posts: 31
Joined: Sat Mar 04, 2017 5:05 pm

Re: trying to install apache with "sudo apt-get install apache2 -y" failed

Fri Sep 29, 2017 6:44 pm

ok, thanks

so i did it and it was fine with the apache installation,

now i've another obstacle. i'm trying to install mysql but get:

Code: Select all

pi@raspberrypi:/var/www/html $ sudo apt-get install mysql-server php5-mysql -y
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 php5-mysql : Depends: libmysqlclient18 but it is not installable
E: Unable to correct problems, you have held broken packages.
and i don't know how exactly to correct that

what do you say?

User avatar
DougieLawson
Posts: 38815
Joined: Sun Jun 16, 2013 11:19 pm
Location: A small cave in deepest darkest Basingstoke, UK
Contact: Website Twitter

Re: trying to install apache with "sudo apt-get install apache2 -y" failed

Fri Sep 29, 2017 6:47 pm

It's trivial to fix that.
viewtopic.php?t=191380#p1205095
Note: Any requirement to use a crystal ball or mind reading will result in me ignoring your question.

Criticising any questions is banned on this forum.

Any DMs sent on Twitter will be answered next month.
All non-medical doctors are on my foes list.

must-be
Posts: 31
Joined: Sat Mar 04, 2017 5:05 pm

Re: trying to install apache with "sudo apt-get install apache2 -y" failed

Fri Sep 29, 2017 6:59 pm

DougieLawson wrote:
Fri Sep 29, 2017 6:47 pm
It's trivial to fix that.
viewtopic.php?t=191380#p1205095
hi
i'm not sure i understand what it says

User avatar
DougieLawson
Posts: 38815
Joined: Sun Jun 16, 2013 11:19 pm
Location: A small cave in deepest darkest Basingstoke, UK
Contact: Website Twitter

Re: trying to install apache with "sudo apt-get install apache2 -y" failed

Fri Sep 29, 2017 7:03 pm

Download a *.deb file with wget, install the *.deb file with sudo dpkg -i.

I only gave you a link to save typing all that stuff out again.
Note: Any requirement to use a crystal ball or mind reading will result in me ignoring your question.

Criticising any questions is banned on this forum.

Any DMs sent on Twitter will be answered next month.
All non-medical doctors are on my foes list.

must-be
Posts: 31
Joined: Sat Mar 04, 2017 5:05 pm

Re: trying to install apache with "sudo apt-get install apache2 -y" failed

Fri Sep 29, 2017 7:48 pm

i've done:

Code: Select all

sudo dpkg -i libmysqlclient18_5.5.57-0+deb8u1_armhf.deb
but i still get an error with mysql

User avatar
DougieLawson
Posts: 38815
Joined: Sun Jun 16, 2013 11:19 pm
Location: A small cave in deepest darkest Basingstoke, UK
Contact: Website Twitter

Re: trying to install apache with "sudo apt-get install apache2 -y" failed

Fri Sep 29, 2017 8:01 pm

Has mysql been replaced with mariadb on your system?
Note: Any requirement to use a crystal ball or mind reading will result in me ignoring your question.

Criticising any questions is banned on this forum.

Any DMs sent on Twitter will be answered next month.
All non-medical doctors are on my foes list.

must-be
Posts: 31
Joined: Sat Mar 04, 2017 5:05 pm

Re: trying to install apache with "sudo apt-get install apache2 -y" failed

Sat Sep 30, 2017 9:41 pm

i don't know

how to check? what to do?

at the moment the only reason i need wordpress is so i can access my updrafts plus backups and extract information from there.

edit:
if i will start all over again with raspbian lite (a fresh install), will that solve the problem?

User avatar
DougieLawson
Posts: 38815
Joined: Sun Jun 16, 2013 11:19 pm
Location: A small cave in deepest darkest Basingstoke, UK
Contact: Website Twitter

Re: trying to install apache with "sudo apt-get install apache2 -y" failed

Sat Sep 30, 2017 10:52 pm

Since we don't know what your problem is, it's somewhat impossible to tell you.
Note: Any requirement to use a crystal ball or mind reading will result in me ignoring your question.

Criticising any questions is banned on this forum.

Any DMs sent on Twitter will be answered next month.
All non-medical doctors are on my foes list.

W. H. Heydt
Posts: 12360
Joined: Fri Mar 09, 2012 7:36 pm
Location: Vallejo, CA (US)

Re: trying to install apache with "sudo apt-get install apache2 -y" failed

Sun Oct 01, 2017 2:09 am

Looking at the command that is giving trouble, I suspect it's the order in which the operands are given. Shouldn't it be "sudo apt-get install -y <packagename>" rather than the force '-y" flag being at the end?

must-be
Posts: 31
Joined: Sat Mar 04, 2017 5:05 pm

Re: trying to install apache with "sudo apt-get install apache2 -y" failed

Sun Oct 01, 2017 7:57 am

isn't it what being said at:
https://www.raspberrypi.org/learning/la ... worksheet/

?

should it be that hard to follow the guide?

i'm not sure how to write instead of:

Code: Select all

sudo apt-get install mysql-server php5-mysql -y

User avatar
DougieLawson
Posts: 38815
Joined: Sun Jun 16, 2013 11:19 pm
Location: A small cave in deepest darkest Basingstoke, UK
Contact: Website Twitter

Re: trying to install apache with "sudo apt-get install apache2 -y" failed

Sun Oct 01, 2017 10:21 am

Have you resolved your libmysqlclient18 problem?

Have you downloaded the *.deb and installed it with sudo dpkg -i deb.file.name.goes.here.deb
Note: Any requirement to use a crystal ball or mind reading will result in me ignoring your question.

Criticising any questions is banned on this forum.

Any DMs sent on Twitter will be answered next month.
All non-medical doctors are on my foes list.

must-be
Posts: 31
Joined: Sat Mar 04, 2017 5:05 pm

Re: trying to install apache with "sudo apt-get install apache2 -y" failed

Mon Oct 02, 2017 8:31 pm

Have you resolved your libmysqlclient18 problem?
i don't know. i don't think so.
Have you downloaded the *.deb and installed it with sudo dpkg -i deb.file.name.goes.here.deb
not yet,
i'm not find what you said about it. i mean which .deb...

does all that means that there is a problem with the mentioned guide? because i followed exactly what it said but got stuck with the mysql thing.

User avatar
DougieLawson
Posts: 38815
Joined: Sun Jun 16, 2013 11:19 pm
Location: A small cave in deepest darkest Basingstoke, UK
Contact: Website Twitter

Re: trying to install apache with "sudo apt-get install apache2 -y" failed

Mon Oct 02, 2017 9:30 pm

Download both debs. One of them will install OK.
Note: Any requirement to use a crystal ball or mind reading will result in me ignoring your question.

Criticising any questions is banned on this forum.

Any DMs sent on Twitter will be answered next month.
All non-medical doctors are on my foes list.

must-be
Posts: 31
Joined: Sat Mar 04, 2017 5:05 pm

Re: trying to install apache with "sudo apt-get install apache2 -y" failed

Mon Oct 02, 2017 9:51 pm

so i need to type:

Code: Select all

sudo dpkg -i libmysqlclient18_5.5.57-0+deb8u1_armhf.deb
??

how can i download the "libmysqlclient18_5.5.57-0+deb8u1_armhf.deb" file to the pi? i mean i use ssh to control it.

i've it on my desktop but i need the file on the pi if i understand you right.

if i did not said it already. my aim is to have my blog on my pi or pc and not share the blog with the world until i will improve it further. i mean i need to improve the content. not the system...
thanks

edit:
i've tried that but it failed at the end with installing the .deb

Code: Select all

sudo wget http://security.debian.org/debian-security/pool/updates/main/m/mysql-5.5/libmysqlclient18_5.5.57-0+deb8u1_armhf.deb
--2017-10-02 21:52:45--  http://security.debian.org/debian-security/pool/updates/main/m/mysql-5.5/libmysqlclient18_5.5.57-0+deb8u1_armhf.deb
Resolving security.debian.org (security.debian.org)... 2401:2500:103:11a::74, 133.242.99.74
Connecting to security.debian.org (security.debian.org)|2401:2500:103:11a::74|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 630456 (616K) [application/x-debian-package]
Saving to: 'libmysqlclient18_5.5.57-0+deb8u1_armhf.deb'

libmysqlclient18_5. 100%[===================>] 615.68K   302KB/s    in 2.0s    

2017-10-02 21:52:48 (302 KB/s) - 'libmysqlclient18_5.5.57-0+deb8u1_armhf.deb' saved [630456/630456]

pi@raspberrypi:~/Downloads $ sudo dpkg -i libmysqlclient18_5.5.57-0+deb8u1_armhf.deb
(Reading database ... 123525 files and directories currently installed.)
Preparing to unpack libmysqlclient18_5.5.57-0+deb8u1_armhf.deb ...
Unpacking libmysqlclient18:armhf (5.5.57-0+deb8u1) over (5.5.57-0+deb8u1) ...
dpkg: dependency problems prevent configuration of libmysqlclient18:armhf:
 libmysqlclient18:armhf depends on mysql-common (>= 5.5.57-0+deb8u1); however:
  Package mysql-common is not installed.

dpkg: error processing package libmysqlclient18:armhf (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 libmysqlclient18:armhf
pi@raspberrypi:~/Downloads $ 

Return to “Beginners”